import { ConfigProps as NotificationConfigProps, NotificationInterface, NotificationPlacement } from '../notification-manager';
export declare type MessagePlacement = NotificationPlacement | 'top' | 'left' | 'right' | 'bottom' | 'rightTop' | 'leftTop' | 'rightBottom' | 'leftBottom';
export interface ConfigProps extends NotificationConfigProps<MessagePlacement> {
    prefixCls?: string;
    transitionName: string;
}
export interface MessageManagerType {
    key: number;
    config: ConfigProps;
    instance?: NotificationInterface | Promise<NotificationInterface>;
    remove(key: string): any;
    clear(): any;
    getUuid(): string;
}
declare const manager: MessageManagerType;
export default manager;
